using MasaBlazorApp3.Pojo;

namespace MasaBlazorApp3.DataAccess.Dao
{
    public interface IRoleDao
    {
        int InsertRole(Role role);
        Task<Role> GetRoleById(int id);

        bool UpdateRole(Role role);
        bool DeleteRole(int id);

        Task<PageData<Role>> GetRolesByName(string name, int? take, int? skip);

        Task<List<Role>> GetAllRoles();

    }
}
